summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorJesse Duffield <jessedduffield@gmail.com>2018-08-11 15:04:02 +1000
committerJesse Duffield <jessedduffield@gmail.com>2018-08-11 15:04:02 +1000
commit73e740d1ba45e6c01988953234f8e217b811d1dc (patch)
tree32cf62bbbad398e883373609d3cb5b1c7816ef9e /test
parentf1eaeec9eeddc4c676524d6c9dd6f8737a70e6ac (diff)
clean up fixup code
reduce log clutter add log dumping with spew
Diffstat (limited to 'test')
-rwxr-xr-xtest/lots_of_commits.sh28
-rwxr-xr-xtest/merge_conflict.sh (renamed from test/generate_basic_repo.sh)2
2 files changed, 29 insertions, 1 deletions
diff --git a/test/lots_of_commits.sh b/test/lots_of_commits.sh
new file mode 100755
index 000000000..d85034f4e
--- /dev/null
+++ b/test/lots_of_commits.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# this script makes a repo with lots of commits
+
+# call this command from the test directory:
+# ./lots_of_commits.sh; cd testrepo; gg; cd ..
+
+# -e means exit if something fails
+# -x means print out simple commands before running them
+set -ex
+
+reponame="testrepo"
+
+rm -rf ${reponame}
+mkdir ${reponame}
+cd ${reponame}
+
+git init
+
+i=2
+end=100
+while [ $i -le $end ]; do
+ echo "file${i}" > file${i}
+ git add file${i}
+ git commit -m file${i}
+
+ i=$(($i+1))
+done
diff --git a/test/generate_basic_repo.sh b/test/merge_conflict.sh
index ef04333c7..9bd12bf56 100755
--- a/test/generate_basic_repo.sh
+++ b/test/merge_conflict.sh
@@ -4,7 +4,7 @@
# on the master branch and if we try and merge master we get a merge conflict
# call this command from the test directory:
-# ./generate_basic_repo.sh; cd testrepo; gg; cd ..
+# ./merge_conflict.sh; cd testrepo; gg; cd ..
# -e means exit if something fails
# -x means print out simple commands before running them